import { GithubService } from './github';
import { BitbucketService } from './bitbucket';
import { BitbucketServerService } from './bitbucket-server';
import { GitlabService } from './gitlab';
import { GerritService } from './gerrit';
export declare const providers: {
    GITHUB: string;
    BITBUCKET: string;
    BITBUCKET_SERVER: string;
    GERRIT: string;
    GITLAB: string;
};
export declare class GitProviders {
    static get(provider: any): typeof GithubService | typeof BitbucketService | typeof BitbucketServerService | typeof GitlabService | typeof GerritService;
    static getTheMostRecentCommit(prs: any, revision: any): any;
}
//# sourceMappingURL=index.d.ts.map