import { GitEnricherInputs } from '../../../image-enricher-git-info/types';
export declare class GerritApi {
    private inputs;
    constructor(inputs: GitEnricherInputs);
    getBranch(repo: any, branch: any): Promise<any>;
    getPullRequests(repo: any, branch: any): Promise<any>;
    getCommitsInfo(repo: any, pr: any): Promise<{
        committers: any;
        commits: any;
        firstCommitDate: any;
        lastCommitDate: any;
    } | null>;
    buildCommitUrl(repo: any, revision: any): string;
    private getAvatar;
    private sendRequest;
}
//# sourceMappingURL=gerrit.bkp.api.d.ts.map