import { BranchInfo, GitEnricherInputs, PRInfo } from '../../../image-enricher-git-info/types';
export declare class GerritService {
    private gerritApi;
    private inputs;
    constructor(inputs: GitEnricherInputs);
    static parseChangeId(gerritChangeId?: string): string;
    getPullRequestsWithCommits(repo: string, changeId: string): Promise<PRInfo[]>;
    getBranch(repo: string, changeId: string): Promise<BranchInfo | null>;
}
//# sourceMappingURL=gerrit.service.d.ts.map